Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Card Notification API

WS-Transit-API-IN-transit-notif-oas2.yaml

Request to fetch messages for a specific virtual card

post

This method is used by Wallet Server to fetch messages for a specific virtual card.

Header parameters
x-podstring · max: 128Required

HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming. Subsequent API calls should be sent to this pod.

Body
walletCardIdstring · min: 1 · max: 64Required

The Wallet Card Identifier. Unique for each wallet card.

lastUpdatedTimestampstring · date-timeOptional

Timestamp used for filtering messages. Messages already provided to wallet server before this timestamp will not be returned. Its format is as specified in RFC 3339

Responses
200

getMessages response payload

application/json
lastUpdatedTimestampstring · date-timeOptional

Timestamp used for filtering messages. Messages already provided to wallet server before this timestamp will not be returned. Its format is as specified in RFC 3339

post
/getMessages

Last updated

Was this helpful?